Bug 434276

Summary: gnome-applet-vm failed massrebuild attempt for GCC 4.3
Product: [Fedora] Fedora Reporter: Jesse Keating <jkeating>
Component: gnome-applet-vmAssignee: Karel Zak <kzak>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: dcantrell
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-03-03 09:31:50 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 433629    

Description Jesse Keating 2008-02-22 10:55:11 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=441543
Exit code was 30, check the root.log for the failed buildArch task.
Comment 1 Karel Zak 2008-02-22 19:17:14 EST
http://koji.fedoraproject.org/koji/getfile?taskID=447248&name=root.log :

DEBUG util.py:261:  Error: Missing Dependency: libcap.so.1()(64bit) is needed by
package dbus-libs
DEBUG util.py:261:  Error: Missing Dependency: libcap.so.1()(64bit) is needed by
package avahi
DEBUG util.py:261:  Error: Missing Dependency: libcap.so.1()(64bit) is needed by
package dbus
Comment 2 Jesse Keating 2008-02-22 20:16:51 EST
Resubmitted as 462948
Comment 3 Jesse Keating 2008-02-22 20:40:52 EST
Attempted rebuild failed with a compile error:

if gcc -DHAVE_CONFIG_H -I. -I. -I.. -I. -I. -DG_DISABLE_DEPRECATED
-DGTK_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DORBIT2=1 -pthread
-I/usr/include/panel-2.0 -I/usr/include/gtk-2.0 -I/usr/include/libgnomeui-2.0
-I/usr/include/libbonoboui-2.0 -I/usr/lib64/gtk-2.0/include
-I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0
-I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include
-I/usr/include/libgnome-2.0 -I/usr/include/libgnomecanvas-2.0
-I/usr/include/gnome-vfs-2.0 -I/usr/lib64/gnome-vfs-2.0/include
-I/usr/include/libbonobo-2.0 -I/usr/include/orbit-2.0
-I/usr/include/bonobo-activation-2.0 -I/usr/include/libart-2.0
-I/usr/include/gconf/2    -DVM_ICONDIR=\"/usr/share/pixmaps/vm-applet\"
-DVM_XENTERMINAL=\"/usr/lib64/xen/bin/xenconsole\"
-DVM_VIRTMANAGER=\"/usr/bin/virt-manager\"    -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m64 -mtune=generic -MT applet.o -MD -MP -MF ".deps/applet.Tpo" -c -o applet.o
applet.c; \
	then mv -f ".deps/applet.Tpo" ".deps/applet.Po"; else rm -f ".deps/applet.Tpo";
exit 1; fi
In file included from applet.c:30:
applet.h:186: error: expected specifier-qualifier-list before 'GtkTooltips'
applet.c: In function 'vm_connections_refresh':
applet.c:300: error: 'VmAppletCtl' has no member named 'conn'
applet.c:304: error: 'VmAppletCtl' has no member named 'active_conns'
applet.c:319: error: 'VmAppletCtl' has no member named 'active_conns'
applet.c:322: error: 'VmAppletCtl' has no member named 'active_conns'
applet.c: In function 'vm_connections_destroy':
applet.c:328: error: 'VmAppletCtl' has no member named 'conn'
applet.c: In function 'vm_connection_add':
applet.c:347: error: 'VmAppletCtl' has no member named 'conn'
applet.c:360: error: 'VmAppletCtl' has no member named 'conn'
applet.c: In function 'vm_ctl_new':
applet.c:382: error: 'VmAppletCtl' has no member named 'uid'
applet.c:383: error: 'VmAppletCtl' has no member named 'instance'
applet.c:387: error: 'VmAppletCtl' has no member named 'delay'
applet.c:391: error: 'VmAppletCtl' has no member named 'delay'
applet.c:391: error: 'VmAppletCtl' has no member named 'delay'
applet.c:391: error: 'VmAppletCtl' has no member named 'delay'
applet.c:394: error: 'VmAppletCtl' has no member named 'terminal_cmd'
applet.c:401: error: 'VmAppletCtl' has no member named 'terminal_enb'
applet.c:426: error: 'VmAppletCtl' has no member named 'desc'
applet.c:427: error: 'VmAppletCtl' has no member named 'ndescs'
applet.c:430: error: 'VmAppletCtl' has no member named 'uid'
applet.c: In function 'vm_timer_refresh':
applet.c:445: error: 'VmAppletCtl' has no member named 'pixtimer'
applet.c:446: error: 'VmAppletCtl' has no member named 'pixtimer'
applet.c:449: error: 'VmAppletCtl' has no member named 'pixtimer'
applet.c:449: error: 'VmAppletCtl' has no member named 'delay'
applet.c: In function 'vm_domain_set_activity':
applet.c:557: error: 'VmAppletCtl' has no member named 'delay'
applet.c: In function 'vm_domains_update':
applet.c:735: error: 'VmAppletCtl' has no member named 'conn'
applet.c:739: error: 'VmAppletCtl' has no member named 'ndoms'
applet.c:743: error: 'VmAppletCtl' has no member named 'ndoms'
applet.c: In function 'vm_domain_free':
applet.c:810: error: 'VmAppletCtl' has no member named 'popmenu'
applet.c: In function 'vm_ctl_destroy':
applet.c:828: error: 'VmAppletCtl' has no member named 'conn'
applet.c: In function 'vm_tooltips_update':
applet.c:844: error: 'VmAppletCtl' has no member named 'ndoms'
applet.c:846: error: 'VmAppletCtl' has no member named 'ndoms'
applet.c:847: error: 'VmAppletCtl' has no member named 'ndoms'
applet.c:849: error: 'VmAppletCtl' has no member named 'ndoms'
applet.c:850: warning: implicit declaration of function 'gtk_tooltips_set_tip'
applet.c:850: error: 'VmAppletCtl' has no member named 'applet_tip'
applet.c:854: error: 'VmAppletCtl' has no member named 'active_conns'
applet.c:855: error: 'VmAppletCtl' has no member named 'applet_tip'
applet.c:858: error: 'VmAppletCtl' has no member named 'applet_tip'
applet.c: In function 'vm_update':
applet.c:873: error: 'VmAppletCtl' has no member named 'ndoms'
applet.c:875: error: 'VmAppletCtl' has no member named 'active_conns'
applet.c:882: error: 'VmAppletCtl' has no member named 'image'
applet.c:882: error: 'VmAppletCtl' has no member named 'ndoms'
applet.c:882: error: 'VmAppletCtl' has no member named 'ndoms'
applet.c:883: error: 'VmAppletCtl' has no member named 'image_size'
applet.c:885: error: 'VmAppletCtl' has no member named 'popmenu'
applet.c:885: error: 'VmAppletCtl' has no member named 'popmenu_up'
applet.c: In function 'vm_destroy_cb':
applet.c:903: error: 'VmAppletCtl' has no member named 'pixtimer'
applet.c:905: error: 'VmAppletCtl' has no member named 'popmenu'
applet.c:907: error: 'VmAppletCtl' has no member named 'popmenu'
applet.c:908: error: 'VmAppletCtl' has no member named 'popmenu'
applet.c: In function 'vm_amenu_suspend_cb':
applet.c:1018: error: 'VmAppletCtl' has no member named 'actdom'
applet.c: In function 'vm_amenu_resume_cb':
applet.c:1024: error: 'VmAppletCtl' has no member named 'actdom'
applet.c: In function 'vm_amenu_destroy_cb':
applet.c:1030: error: 'VmAppletCtl' has no member named 'actdom'
applet.c: In function 'vm_amenu_shutdown_cb':
applet.c:1036: error: 'VmAppletCtl' has no member named 'actdom'
applet.c: In function 'vm_amenu_terminal_cb':
applet.c:1051: error: 'VmAppletCtl' has no member named 'terminal_enb'
applet.c:1051: error: 'VmAppletCtl' has no member named 'terminal_cmd'
applet.c:1051: error: 'VmAppletCtl' has no member named 'terminal_cmd'
applet.c:1054: error: 'VmAppletCtl' has no member named 'terminal_cmd'
applet.c:1054: error: 'VmAppletCtl' has no member named 'actdom'
applet.c: In function 'vm_amenu_deactivate_cb':
applet.c:1089: error: 'VmAppletCtl' has no member named 'popmenu'
applet.c: In function 'vm_amenu_edit_cb':
applet.c:1096: error: 'VmAppletCtl' has no member named 'actdom'
applet.c: In function 'vm_amenu_console_cb':
applet.c:1103: error: 'VmAppletCtl' has no member named 'actdom'
applet.c: In function 'vm_amenu_item_sensitive':
applet.c:1171: error: 'VmAppletCtl' has no member named 'terminal_enb'
applet.c: In function 'vm_menuitem_cb':
applet.c:1196: error: 'VmAppletCtl' has no member named 'actmenu'
applet.c:1197: error: 'VmAppletCtl' has no member named 'actmenu'
applet.c:1199: error: 'VmAppletCtl' has no member named 'actdom'
applet.c:1202: error: 'VmAppletCtl' has no member named 'actmenu'
applet.c:1205: error: 'VmAppletCtl' has no member named 'actmenu'
applet.c: In function 'vm_mngr_run_cb':
applet.c:1250: error: 'VmAppletCtl' has no member named 'popmenu'
applet.c: In function 'vm_mngr_new_cb':
applet.c:1260: error: 'VmAppletCtl' has no member named 'popmenu'
applet.c: In function 'vm_popmenuitem_new':
applet.c:1515: error: 'VmAppletCtl' has no member named 'popmenu'
applet.c:1524: error: 'VmAppletCtl' has no member named 'ndescs'
applet.c:1526: error: 'VmAppletCtl' has no member named 'desc'
applet.c: In function 'vm_popmenuitem_update':
applet.c:1574: error: 'VmAppletCtl' has no member named 'ndescs'
applet.c:1576: error: 'VmAppletCtl' has no member named 'desc'
applet.c: In function 'vm_popmenu_update':
applet.c:1609: error: 'VmAppletCtl' has no member named 'conn'
applet.c: In function 'vm_popmenu_destroy_items':
applet.c:1643: error: 'VmAppletCtl' has no member named 'conn'
applet.c: In function 'vm_popmenu_deactivate_cb':
applet.c:1668: error: 'VmAppletCtl' has no member named 'popmenu_up'
applet.c: In function 'vm_popmenu_new':
applet.c:1713: error: 'VmAppletCtl' has no member named 'popmenu'
applet.c:1716: error: 'VmAppletCtl' has no member named 'popmenu'
applet.c:1717: error: 'VmAppletCtl' has no member named 'popmenu_up'
applet.c:1719: error: 'VmAppletCtl' has no member named 'ndescs'
applet.c:1720: error: 'VmAppletCtl' has no member named 'desc'
applet.c:1725: error: 'VmAppletCtl' has no member named 'popmenu'
applet.c:1731: error: 'VmAppletCtl' has no member named 'popmenu'
applet.c:1739: error: 'VmAppletCtl' has no member named 'popmenu'
applet.c:1743: error: 'VmAppletCtl' has no member named 'popmenu'
applet.c: In function 'vm_button_cb':
applet.c:1762: error: 'VmAppletCtl' has no member named 'ndoms'
applet.c:1764: error: 'VmAppletCtl' has no member named 'popmenu'
applet.c:1769: error: 'VmAppletCtl' has no member named 'popmenu_up'
applet.c:1771: error: 'VmAppletCtl' has no member named 'popmenu'
applet.c: In function 'vm_icon_update':
applet.c:1791: error: 'VmAppletCtl' has no member named 'image_size'
applet.c:1794: error: 'VmAppletCtl' has no member named 'image_size'
applet.c:1796: error: 'VmAppletCtl' has no member named 'image'
applet.c:1798: error: 'VmAppletCtl' has no member named 'image'
applet.c:1799: error: 'VmAppletCtl' has no member named 'image'
applet.c:1801: error: 'VmAppletCtl' has no member named 'image'
applet.c:1806: error: 'VmAppletCtl' has no member named 'pixbuf'
applet.c:1806: error: 'VmAppletCtl' has no member named 'ndoms'
applet.c:1810: error: 'VmAppletCtl' has no member named 'image'
applet.c:1811: error: 'VmAppletCtl' has no member named 'image'
applet.c:1814: error: 'VmAppletCtl' has no member named 'pixbuf'
applet.c:1815: error: 'VmAppletCtl' has no member named 'image'
applet.c:1819: error: 'VmAppletCtl' has no member named 'image'
applet.c: In function 'vm_setup':
applet.c:1875: error: 'VmAppletCtl' has no member named 'applet_tip'
applet.c:1875: warning: implicit declaration of function 'gtk_tooltips_new'
make[3]: *** [applet.o] Error 1
make[3]: Leaving directory `/builddir/build/BUILD/gnome-applet-vm-0.1.2/src'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/gnome-applet-vm-0.1.2/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/gnome-applet-vm-0.1.2'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.16501 (%build)


http://koji.fedoraproject.org/koji/getfile?taskID=462953&name=build.log
Comment 4 Karel Zak 2008-02-23 15:45:06 EST
Yeah, that's known bug -- the applet uses deprecated GTK stuff. It's not related
to gcc4.3.
Comment 5 Karel Zak 2008-02-28 19:48:41 EST
Note, I'm going to release a new upstream version in next few days.
Comment 6 Karel Zak 2008-03-03 09:31:50 EST
486997 build (dist-f9, devel:gnome-applet-vm-0_2_0-2_fc9) completed successfully